calendarserver (9.1+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Fri, 25 Aug 2017 21:21:24 +0530

calendarserver (7.0+dfsg-2) unstable; urgency=low

  * Unicode Fixes (Closes: #815420)
  * Bump Standards Version to 3.9.7

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Sun, 06 Mar 2016 12:40:43 +0530

calendarserver (7.0+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #780530)
  * Build for "linux-any" architecture rather than listing the architectures
    separately. See Bug#746809 to understand why calendarserver had been
    restricted to certain architectures in the first place (Closes: #779672)
  * By default, caldavd.plist is now configured to not connect to the
    system running instance of memcached. Instead, calendarserver starts
    its own instance of memcached and connects to it via socket
  * Passing additional arguments to the daemon to start as user caldavd
    and group caldavd so that postgresql peer authentication can be used
    (Closes: #770417)
  * Get rid of all occurrences of twisted.python.hashlib as it has been
    deprecated. Patch applied from upstream Changeset 15276 (Closes: #810142)
  * psutil compatibility fix patch applied from upstream changesets 15281
    and 15282.

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Sun, 17 Jan 2016 09:45:30 +0530

calendarserver (5.2.2+dfsg-2) unstable; urgency=low

  * Updated the location of Vcs-Git and Vcs-Browser

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Mon, 20 Oct 2014 21:55:39 +0530

calendarserver (5.2.2+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Tue, 14 Oct 2014 01:55:14 +0530

calendarserver (5.2+dfsg-2) unstable; urgency=low

  * python-cffi is now available for architecture s390x. Also, configured
    calendarserver to build on only those platforms in which python-psutil is
    available (Closes: #746809)
  * Added version dependency for pycalendar (Closes: #761339)

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Mon, 13 Oct 2014 17:38:50 +0530

calendarserver (5.2+dfsg-1) unstable; urgency=high

  * New upstream release
  * Provided instructions on how to ensure data migration with XML Directory
    Backend while upgrading (Closes: #744889)

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Mon, 14 Apr 2014 06:02:38 +0530

calendarserver (5.1+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #709607)
  * Updated NSS Configuration documentation (Closes: #696334)
  * Added documentation for PostgreSQL Peer authentication. Also debianized
    bootstrapdatabase.py (Thanks to Georges Racinet and Fredrik Unger)
    (Closes: #696931)
  * Removed fields Vcs-Svn and Vcs-Browser as they were pointing to upstream
    sources rather than that where the debian package is maintained (Closes:
    #709608)
  * IPv6 support added upstream (Closes: #719649)
  * Removed patch py-ssize-t-fix.patch as it has been included upstream in
    r9700 (See http://trac.calendarserver.org/ticket/448)
  * Removed upgrade-nss-data-directories.py script and related changes. This
    was being used to address an issue when upgrading from 1.2 to 2.4 (See
    Debian Bug#610124). As we have had two major versions released since then,
    we believe it to be safe to remove this fix.
  * Removed zoneinfo.patch

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Sun, 23 Feb 2014 10:51:58 +0530

calendarserver (3.2+dfsg-5) unstable; urgency=low

  * Updated zoneinfo patch to tzdata 2012j 

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Wed, 14 Nov 2012 16:03:02 +0530

calendarserver (3.2+dfsg-4) unstable; urgency=low

  * Added a new patch for updating zoneinfo to tzdata 2012f

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Wed, 03 Oct 2012 00:21:01 +0530

calendarserver (3.2+dfsg-3) unstable; urgency=low

  * Lowered Debian compat to 8 so that calendarserver could be unblocked

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Sat, 29 Sep 2012 20:02:32 +0530

calendarserver (3.2+dfsg-2) unstable; urgency=low

  * The second call to PyArg_ParseTuple in sendmsg.c passed an int* where a 
    Py_ssize_t* should be passed. This has been fixed. (Closes: #678525)
  * Added option "EnableSSL" to conf/caldavd.plist. This has to be set to true
    for calendarserver to listen on SSL port. (Closes: #681170)
  * Changed source dependency from python-dev to python-all-dev as now a fix
    for building package for both python 2.6 and python 2.7 is provided. (Thanks
    to Fredrik Unger for providing the fix) (Closes: #684996)
  * Updated calendarserver.README.Debian 
  * Bumped Debian compat to 9

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Tue, 14 Aug 2012 22:08:02 +0530

calendarserver (3.2+dfsg-1) unstable; urgency=low

  * New upstream release
  * Moved from using cdbs to dh sequencer
  * Modified calenderserver init.d script based on /etc/init.d/skeleton script
  * Removed ldapdirectory.patch as the OpenLDAP directory service has been 
    merged upstream
  * Moved package to section "net" as calendarserver is more service than 
    library (Closes: #665859)
  * Changed Architecture of calendarserver package to any as the package
    now includes compiled architecture dependent Python extensions
  * Unowned files are no longer left on the system upon purging
    (Closes: #668731)

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Tue, 29 May 2012 18:12:12 +0530

calendarserver (2.4.dfsg-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixes init script start action fails if already running (Closes: #666737).

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Apr 2012 02:43:40 +0000

calendarserver (2.4.dfsg-7) unstable; urgency=low

  * Recompile for python 2.7 support (Closes: Bug#646598)
  * Added init.d status support. Thanks to Peter Eisentraut for the patch
    (Closes: Bug#652832)
  * Supply hints for backup of calendar data in face of extended attributes.
    Thanks to Martin Stigge for providing this tip (Closes: Bug#653961)

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Wed, 14 Mar 2012 11:20:00 +0530

calendarserver (2.4.dfsg-6) unstable; urgency=low

  * Changed DataRoot from /var/run/caldavd/ to /var/lib/caldavd/
    (Closes: Bug#611165)

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Mon, 31 Jan 2011 17:09:50 +0530

calendarserver (2.4.dfsg-5) unstable; urgency=high

  * Backing up configuration file in calendarserver.preinst was happening
    only during upgrade. This has been modified to happen during install as
    well where the configuration file had not been purged during the previous 
    uninstallation.

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Wed, 19 Jan 2011 14:24:14 +0530

calendarserver (2.4.dfsg-4) unstable; urgency=high

  * Moved the code for upgrading data directories of NSS users and groups
    into a separate file and executing this file from postinst as it cannot
    be assumed that python would be configured when preinst is called 
    (inspite of adding python to Pre-Depends)
  * Moved ${python:Depends} and python-plist from Pre-Depends to Depends

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Fri, 31 Dec 2010 14:58:23 +0530

calendarserver (2.4.dfsg-3) unstable; urgency=low

  * Added calendarserver.preinst script for moving data directories of NSS users
    and groups
  * Moved ${python:Depends} from Depends to Pre-Depends. Added python-plist to
    Pre-Depends.
  * Added python-ldap as recommended package (Closes: #600799)
  * Moved python-pydirector from suggested package to recommended package
  * Added information about disabling of group calendaring in calendarserver 2.x
    in NEWS (Closes: #600999)

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Fri, 17 Dec 2010 00:00:00 +0530

calendarserver (2.4.dfsg-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Do not set PYTHONPATH env var, not needed (Closes: #605166, #605157)
  * Prevent setup.py from automagically setting #PYTHONPATH in an insecure way

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 03 Dec 2010 21:28:40 +0000

calendarserver (2.4.dfsg-2) unstable; urgency=low

  * Removed Uploaders field in debian/changelog
  * Changed build dependency python-dev to python
  * Updated standards version to 3.9.1
  * $remote_fs dependency has been added in init.d
  * Added NSS directory service backend
  * Added sample configuration for LDAP directory backend
  * Added PAM configuration file

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Wed, 25 Aug 2010 15:23:37 +0530

calendarserver (2.4.dfsg-1) experimental; urgency=low

  * New upstream release (Closes: #579610)
  * add LDAP directory backend
  * remove NSS directory backend (will be added soon)
  * add patch for linux xattr fix. Related Calendarserver ticket:
      http://trac.calendarserver.org/ticket/337

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Wed, 28 Jul 2010 13:57:56 +0530

calendarserver (1.2.dfsg-9) unstable; urgency=low

  [ Guido Günther ]
  * [e933bae] Orphan package
  * [aa801ee] use lower case http in the principals name since this is
    what iCal expects. clients don't break. (Closes: #514931) - thanks
    to Arthur P Prokosch for pointing this out and testing that other
  * [2de5e32] We need both principals in the servers's keytab. (Closes:
    #514931)

  [ Christoph Goehre ]
  * [080f99a] remove package depends 'python-xml' python-xml was merged into
    the python core package and removed from unstable on 16th August 2009

 -- Guido Günther <agx@sigxcpu.org>  Sun, 16 May 2010 15:15:51 +0200

calendarserver (1.2.dfsg-8) unstable; urgency=low

  * [8b63fa5] fix basic auth via apache directoryService (Closes:
    #503727) - thanks to Thomas Viehmann for the patch
  * [a9f92f3] minor fix: tabs vs. spaces

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Nov 2008 09:57:56 +0100

calendarserver (1.2.dfsg-7) experimental; urgency=low

  * [972f1c3] add more info about the name service switch backend and
    warn about ldap server search limits (Closes: #499963)
  * [45cc01f] add Ticket207-2.patch fixes "Events more than 356 days
    from creation are ignored" (Closes: #489188) - Patch by Peter Mogensen

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 02 Oct 2008 13:18:01 +0200

calendarserver (1.2.dfsg-6) unstable; urgency=low

  * [cf51d29] allow dh_installinit to start/stop the daemon
  * [f2450f8] don't start calendarserver by default
  * [67f428c] don't fail when trying to stop a not running daemon
  * [b3386ab] bump standards version
  * [da9254c] add README.source

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 08 Aug 2008 11:58:23 +0200

calendarserver (1.2.dfsg-5) unstable; urgency=low

  * [b52ad1f] remove dependency on python-plistlib, it's included in included
    in python2.5 and in Debian's python2.4

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 08 Aug 2008 10:36:43 +0200

calendarserver (1.2.dfsg-4) unstable; urgency=low

  * [41eff3c] nss backend: use shortname for groups and users. The groupPrefix
    makes sure these don't overlap. This way we don't have to use random uids
    for the calendars on disk which makes administration a lot easier.
  * [1d6701b] depend on python-openssl instead of the transitional
    package python-pyopenssl
  * [d90a173] refer to /usr/share/common-licenses/Apache-2.0 instead of
    shipping the whole license
  * [1937567] update upstream URL

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 22 Jun 2008 21:05:39 +0200

calendarserver (1.2.dfsg-3) unstable; urgency=low

  [ Guido Guenther ]
  * upload to unstable - we no longer conflict on twisted
  * [31d2b55] drop dependency on ctypes - it's already included in python2.5
  * [652da62] Mention XFS (Closes: #483987) - thanks to Peter Mann
  * [29edb85] add Homepage:
  * [0c5bcee] redirect stderr to /dev/null on daemon restart This is a
    temporary workaround until the twisted deprecation warnings got
    fixed.

  [ Noel Köthe ]
  * [1c03474] xs- prefix from Vcs fields

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 19 Jun 2008 17:05:15 +0200

calendarserver (1.2.dfsg-2) experimental; urgency=low

  [ Guido Guenther ]
  * fix epydoc errors
  * use a python-twisted-calendarserver that doesn't ship the whole twisted
    
  [ Noel Köthe ]
  * bind the caldavd only to localhost as described in README.Debian

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 05 May 2008 17:28:58 +0200

calendarserver (1.2.dfsg-1) unstable; urgency=low

  [ Guido Guenther ]
  * New upstream 1.2
  * add NSS directory backend
  * bump python-twisted-calendarserver dependency to one that has the patches
    for 1.2
  * README.Debian: use non SSL port

  [ Noel Köthe ]
  * README.Debian:
  	* s/sudoers.xml/sudoers.plist/
  	* correcting path
  * update TODO

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 27 Apr 2008 10:36:57 +0200

calendarserver (1.2.dfsg~dev020221-5) unstable; urgency=low

  * first upload to unstable
  * tighten dependencies and drop suggests superflous suggests
  * switch to Python 2.5
  * README.Debian: add URI for group calendars

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 20 Apr 2008 13:59:04 +0200

calendarserver (1.2.dfsg~dev020221-4) experimental; urgency=low

  * update README.Debian on SPNEGO/Kerberos
  * fix snakeoil certificate paths

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 16 Mar 2008 12:48:34 +0100

calendarserver (1.2.dfsg~dev020221-3) experimental; urgency=low

  * repackage upstream branch and remove RFCs too make the document dfsg clean
  * add license of bin/xattr

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 27 Feb 2008 10:31:48 +0100

calendarserver (1.2~dev020221-2) experimental; urgency=low

  * disable the api-doc generation until it works with newer epydoc

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 26 Feb 2008 11:01:00 +0100

calendarserver (1.2~dev020221-1) experimental; urgency=low

  * first upload to experimental (Closes: #384644)
  * switch to upstreams 1.2 development branch
  * drop krb5 patch, applied upstream
  * refreh paths.diff
  * README.Debian: add calendar URI
  * depend on renamed python-twisted-calendarserver package

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 21 Feb 2008 17:54:56 +0100

calendarserver (0.0.svn1755-1) experimental; urgency=low

  * UNRELEASED
  * New Upstream SVN Snapshot
  * update dependencies
  * drop opendirectory-dummy.patch, not needed anymore, can be disabled via
    the config file
  * drop caldavd-kerberos.patch, not needed anymore. Kerberos can be enabled
    via config file now
  * update paths.diff to new layout and config options
  * new fix-krb-service.diff: fix kerberos service names
  * calendarserver.init: daemon switches users itself, new commandline options
  * set process count to avoid pydirector for now

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 09 Aug 2007 10:24:46 +0200

calendarserver (0.0.svn209-2) calendarserver; urgency=low

  * create /var/run/caldavd (needed inc ase /var/run is on a tmpfs)
  * drop dependencies on python-dateutil and python-zopeinterface since
    these are indirect dependencies of python-vobject and
    twisted-calendarserver respectively.
  * build the api documentation 

 -- Guido Guenther <agx@sigxcpu.org>  Mon,  2 Oct 2006 11:03:27 +0200

calendarserver (0.0.svn209-1) calendarserver; urgency=low

  * New Upstream Version
  * depend on newer pykerberos 
  * depend on newer twisted-calendarserver

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 27 Sep 2006 12:34:28 +0200

calendarserver (0.0.svn197-1) calendarserver; urgency=low

  * New Upstream Version
  * depend on newer twisted
  * twiddle path patch to apply again

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 26 Sep 2006 10:21:00 +0200

calendarserver (0.0.svn188-1) unstable; urgency=low

  * New upstream version 0.0.svn188
  * bump dependencies on python-vobject
  * depend on python-xml
  * adjust patch path to look for twisted unter /usr/lib/caldavd
    since we ship our own twisted version in this subdir now. This way
    we don't have to conflict with the twisted shipped in Debian.
  * depend on twisted-calendarserver (which was formerly
    python-twisted-acl-branch)

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 25 Sep 2006 18:33:19 +0200

calendarserver (0.0.svn142-3) unstable; urgency=low

  * add a sample diff for kerberos authentication 

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 19 Sep 2006 10:06:53 +0200

calendarserver (0.0.svn142-2) unstable; urgency=low

  * depend on python-plistlib 

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 18 Sep 2006 19:54:24 +0200

calendarserver (0.0.svn142-1) unstable; urgency=low

  * new SVN version (only patches merged into twisted)
  * depend on more recent twisted-acl-branch

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 18 Sep 2006 17:06:15 +0200

calendarserver (0.0.svn135-2) unstable; urgency=low

  * really drop upstream-patches/
  * fix restart target in init script, use LSB logging
  * add LSB header 

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 18 Sep 2006 16:00:45 +0200

calendarserver (0.0.svn135-1) unstable; urgency=low

  * New upstream svn version
  * no need to rename patches to upstream-patches, upstream changed that to
    lib-patches
  * depend on newer twisted-acl-branch and newer pykerberos
  * remove superflous heimdal-dev from build-depends
  * dropped patches (applied upstream):
     * bashism
     * move-patch-dir
     * linux-xattr
  * use snake-oil certificates for SSL

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 15 Sep 2006 18:38:10 +0200

calendarserver (0.0.svn62-1) unstable; urgency=low

  * Initial release
  * Add dummies for OpenDirectory interaction from:
      http://svn.macosforge.org/projects/calendarserver/browser/PyOpenDirectory
    until we have a proper port

 -- Guido Guenther <agx@sigxcpu.org>  Wed,  6 Sep 2006 13:45:40 +0200

